import { Component, OnInit, ViewChild, inject } from '@angular/core';
import { STColumn, STComponent } from '@delon/abc/st';
import { SFSchema } from '@delon/form';
import { ModalHelper, _HttpClient } from '@delon/theme';
import { SHARED_IMPORTS } from '@shared';
import { DataVUserComponent } from '../user/user.component';
import { LayoutDefaultModule } from '@delon/theme/layout-default';
import { DataVDateComponent } from '../date/date.component';
import { DataVNavigationComponent } from '../navigation/navigation.component';
import { RouterOutlet } from '@angular/router';
import { DataVFullScreenComponent } from '../fullscreen/fullscreen.component';
import { DataVSettingComponent } from '../setting/setting.component';

@Component({
  selector: 'app-data-v-header',
  standalone: true,
  imports: [DataVSettingComponent, DataVFullScreenComponent, DataVUserComponent,
    DataVDateComponent, DataVNavigationComponent, LayoutDefaultModule, RouterOutlet, ...SHARED_IMPORTS],
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.less']
})
export class DataVHeaderComponent implements OnInit {
  private readonly http = inject(_HttpClient);
  private readonly modal = inject(ModalHelper);

  ngOnInit(): void { }

  add(): void {
    // this.modal
    //   .createStatic(FormEditComponent, { i: { id: 0 } })
    //   .subscribe(() => this.st.reload());
  }
}
