// parent.component.ts
import { Component, Input } from '@angular/core';

@Component({
  selector: 'data-v-card',
  standalone: true,
  template: `
    <div class="card-content">
      <!-- <img src="assets/dashboard/dashboard_card_bg.jpg" style="width: 100%;" /> -->
      <div class="card-content-title">{{ title }}</div>
      <ng-content></ng-content>
    </div>
  `,
  styleUrls: ['./card.component.less']
})
export class DataVCardComponent {
  @Input() title: string = '';
}
