import { Component, OnInit, ViewChild, inject } from '@angular/core';
import { STColumn, STComponent } from '@delon/abc/st';
import { SFSchema } from '@delon/form';
import { ModalHelper, _HttpClient } from '@delon/theme';
import { SHARED_IMPORTS } from '@shared';
import { DataVUserComponent } from '../user/user.component';
import { LayoutDefaultModule } from '@delon/theme/layout-default';
import { DataVDateComponent } from '../date/date.component';
import { DataVNavigationComponent } from '../navigation/navigation.component';
import { RouterOutlet } from '@angular/router';
import { DataVHeaderComponent } from '../header/header.component';

@Component({
  selector: 'app-data-v-home',
  standalone: true,
  imports: [
    DataVHeaderComponent,
    DataVUserComponent,
    DataVDateComponent,
    DataVNavigationComponent,
    LayoutDefaultModule,
    RouterOutlet,
    ...SHARED_IMPORTS
  ],
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.less']
})
export class DataVHomeComponent implements OnInit {
  private readonly http = inject(_HttpClient);
  private readonly modal = inject(ModalHelper);

  ngOnInit(): void {}

  add(): void {
    // this.modal
    //   .createStatic(FormEditComponent, { i: { id: 0 } })
    //   .subscribe(() => this.st.reload());
  }
}
